/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomDocumentFragment_H__
#define __GdomDocumentFragment_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomElement.h"
#include "gdom/GdomEventTargetNode.h"
#include "gdom/GdomNodeList.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomDocumentFragment GdomDocumentFragment;
typedef struct _GdomDocumentFragmentClass GdomDocumentFragmentClass;


#define GDOM_TYPE_DOCUMENT_FRAGMENT            (gdom_document_fragment_get_type())
#define GDOM_DOCUMENT_FRAGMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_DOCUMENT_FRAGMENT, GdomDocumentFragment))
#define GDOM_DOCUMENT_FRAGMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_DOCUMENT_FRAGMENT, GdomDocumentFragment)Class)
#define GDOM_IS_DOCUMENT_FRAGMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_DOCUMENT_FRAGMENT))
#define GDOM_IS_DOCUMENT_FRAGMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_DOCUMENT_FRAGMENT))
#define GDOM_DOCUMENT_FRAGMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_DOCUMENT_FRAGMENT, GdomDocumentFragmentClass))

typedef struct _GdomDocumentFragmentPrivate GdomDocumentFragmentPrivate;

struct _GdomDocumentFragment {
    GdomEventTargetNode parent_instance;
    GdomDocumentFragmentPrivate *priv;
};

struct _GdomDocumentFragmentClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_document_fragment_get_type (void);

WEBKIT_API GdomElement *
gdom_document_fragment_query_selector (GdomDocumentFragment *thiz, gchar * selectors);

WEBKIT_API GdomNodeList *
gdom_document_fragment_query_selector_all (GdomDocumentFragment *thiz, gchar * selectors);

G_END_DECLS

#endif /* __GdomDocumentFragment_H__ */
